- Qt 6.7
- Qt Remote Objects
- qt_add_repc_replicas
- Qt 6.7.0 Reference Documentation

# qt_add_repc_replicas

This command was introduced in Qt 6.2.

## Synopsis

     qt_add_repc_replicas(<TARGET> rep_files)

     qt6_add_repc_replicas(<TARGET> rep_files)

## Description

Runs repc and generates Qt Remote Objects Replica header files based on the given `rep_files`. Adds the generated files to `<TARGET>`.

## Examples

     qt6_add_repc_replicas(directconnectclient
         simpleswitch.rep
     )

The generated file(s) will be of the form `rep_<replica file name>_replica.h`, in this case `rep_simpleswitch_replica.h`